rtapi_init(3rtapi)

NAME

rtapi_init - Sets up RTAPI

SYNTAX

 int rtapi_init(const char *modname)

ARGUMENTS

modname
    The name of this rtapi module

DESCRIPTION

rtapi_init sets up the RTAPI. It must be called by any module that intends to use the API, before any other RTAPI calls.

modname can optionally point to a string that identifies the module. The string will be truncated at RTAPI_NAME_LEN characters. If modname is NULL, the system will assign a name.

REALTIME CONSIDERATIONS
Call only from within non-realtime or realtime init/cleanup code, not from relatime tasks.

RETURN VALUE
On success, returns a positive integer module ID, which is used for subsequent calls to rtapi_xxx_new, rtapi_xxx_delete, and rtapi_exit. On failure, returns an RTAPI error code.